Bug 128584 - local variable used before set
Summary: local variable used before set
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: isdn4k-utils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-26 18:17 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 05:04:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-07-26 18:17:47 UTC
Description of problem:

I just tried to compile package isdn4k-utils-3.2-16.p1.1 from
Redhat Fedora Core 3 Test 1.

The compiler said

./divautil/xlog.c(1019): remark #592: variable "cr" is used before its
value is
set

The source code is

    cr ^=0x8000;

Suggest initialise cr before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Thacker 2006-04-22 05:04:06 UTC
Not going to patch upstream code to quiet a compiler warning rather 
than fix a bug or error.


Note You need to log in before you can comment on or make changes to this bug.